1. * 5651 Sayılı Kanun'a göre TÜM ÜYELERİMİZ yaptıkları paylaşımlardan sorumludur.
    * Telif hakkına konu olan eserlerin yasal olmayan şekilde paylaşıldığını ve yasal haklarının çiğnendiğini düşünen hak sahiplerinin İLETİŞİM bölümünden bize ulaşmaları durumunda ilgili şikayet incelenip gereği 1 (bir) hafta içinde gereği yapılacaktır.
    E-posta adresimiz

vBulletin 4.0 Upgrade Yapmak

Konusu 'vBulletin 4.x' forumundadır ve YoRuMSuZ tarafından 27 Aralık 2009 başlatılmıştır.

  1. YoRuMSuZ
    Avare

    YoRuMSuZ Biz işimize bakalım!

    Katılım:
    7 Haziran 2006
    Mesajlar:
    24.433
    Beğenileri:
    7.362
    Ödül Puanları:
    11.330
    Cinsiyet:
    Bay
    Banka:
    8.873 ÇTL
    vBulletin 3.x sürümlerinden 4.x sürümüne upgrade ederken dikkat etmeniz gereken bazı ayrıntılar mevcut. vBulletin 4.x tamamen CSS tabanlı bir yazılım olduğu için unutmamanız gereken en önemli konu eklentileri deaktif etmeniz ya da kaldırmanızdır.

    * Önemli: Google Search Cloud eklentisini kullanıyorsanız eklentiyi Ürün Yöneticisinden kesin olarak silin.

    * Kesin olarak bütün eklentileri deaktif edin. AdminPanel > vBulletin Ayarları > Plugin/Hook Sistem yolunu izleyerek Plugin/Hook Sistem "Hayır" olarak işaretleyin.

    Eğer bu işlemi unutmuşsanız upgrade sonra eklentileriniz nedeniyle forum açılmayacaktır. Bu durumda "config.php" dosyasını ftp den indirip,

    ilk satırdaki

    PHP:
    <?php 
    satırının altına

    PHP:
    define('DISABLE_HOOKS'true);
    satırını ekleyin, kaydedip tekrar upload edin. Bu işlem tüm plugin'leri deaktfi edecektir.

    * Veritabanının full yedeğini alın. Ki olası bir sorunda geri dönüşünüz mümkün olsun.

    * Default tema dışındaki temaların tümünü kaldırın. Eğer CSS leri dosya sisteminde tutuyorsanız veritabanına aktarın (opsiyonel). (Daha sonra da bu işlem yapılabilir. Eğer bunu yapmamışsanız clientscript/vbulletin_css klasörünün içindeki dosyalar CSS dosyaları içindir)

    * Tüm vB 4.0 dosyalarını ftp'de ilgili dizine atın. Yükleme sırasında üzerine yazmayı etkinleştirin.

    * Adres satırırna [Linkleri görebilmek için ÜYE olmalısınız!..] linkini girip yükseltme işlemini başlatın.

    * Yükseltme işlemi sonrası AdminCP > Bakım > Güncelleme Sayaçları bölümündeki sayaçlarını sırayla çalıştırın.
    Eğer herhangi bir hata yapmamışsanız (özellikle eklentilerin deaktivitesi konusunda) sorunsuz olarak yükseltme yapabilirsiniz.
     
  2. voskresenye

    voskresenye Üyecik

    Katılım:
    22 Haziran 2011
    Mesajlar:
    3
    Beğenileri:
    0
    Ödül Puanları:
    20
    Banka:
    0 ÇTL
    hocam dedikleriniz eksiksiz yaptığımı düşünüyorum ama yinede hata alıyorum.


    .....


    <strong>MySQL Error</strong> : Illegal mix of collations (utf8_unicode_ci,IMPLICIT) and (utf8_general_ci,IMPLICIT) for operation '='<br />
    <strong>Error Number</strong> : 1267<br />
    <strong>Request Date</strong> : Thursday, June 23rd 2011 @ 03:35:52 PM<br />
    <strong>Error Date</strong> : Thursday, June 23rd 2011 @ 03:35:52 PM<br />
    <strong>Script</strong> : siteadresi.../install/upgrade.php<br />
    <strong>Referrer</strong> : siteadresi.../install/upgrade.php<br />
    <strong>Classname</strong> : vB_Database<br />
    <strong>MySQL Version</strong> : 5.0.91-community<br />
    </p>]]></error_html>

    bu hata ne demektir, ne yaparımda düzelir yardımcı olursanız sevinirim.
     
  3. YoRuMSuZ
    Avare

    YoRuMSuZ Biz işimize bakalım!

    Katılım:
    7 Haziran 2006
    Mesajlar:
    24.433
    Beğenileri:
    7.362
    Ödül Puanları:
    11.330
    Cinsiyet:
    Bay
    Banka:
    8.873 ÇTL
    Dil hatası görünüyor hocam. İsterseniz upgrade öncesi dili İngilizce olarak ayarlayın, eğer yine sorun yaşarsanız contenttype tablo dilini utf8_general_ci olarak belirleyip deneyin. Olmazsa birlikte de bakabiliriz.
     
  4. voskresenye

    voskresenye Üyecik

    Katılım:
    22 Haziran 2011
    Mesajlar:
    3
    Beğenileri:
    0
    Ödül Puanları:
    20
    Banka:
    0 ÇTL
    Öncelikle ilgilenip cvp yazdığınız için teşekkür ederim. :)
    vB destek sitesi adı altında yapılanıpta bir hata mesajına 1 ay sonra cvp veremeyenler utansın!:@

    Öncesi kalmadı ki Hocam, ben başladım bile. Ama dili ing. yapmadan başladım.
    Dediğiniz gibi hata kodundan esinlenerek tablo dilini utf8_general_ci olarak değiştirmiştim zaten. Ona rağmen sanki dili hiç değiştirmemişim gibi aynı hatayı verdi.
    Pes ettim artık sabahtan bu saate kadar uğraşmaktan yoruldum. Upgrade öncesi ftp dosyalarımı geri atıyorum umarım onları olsun çalıştırırım.
     
  5. YoRuMSuZ
    Avare

    YoRuMSuZ Biz işimize bakalım!

    Katılım:
    7 Haziran 2006
    Mesajlar:
    24.433
    Beğenileri:
    7.362
    Ödül Puanları:
    11.330
    Cinsiyet:
    Bay
    Banka:
    8.873 ÇTL
    Sorunsuz geri dönüş olmuştur umarım. Bu günlerde fazla vakit bulamıyorum ben de ama halledemezseniz yine de birlikte bakabiliriz hafta sonunda.
     
  6. voskresenye

    voskresenye Üyecik

    Katılım:
    22 Haziran 2011
    Mesajlar:
    3
    Beğenileri:
    0
    Ödül Puanları:
    20
    Banka:
    0 ÇTL
    Geri dönüşte biraz sorunlu oldu ama, oldu sonuçta. Şuan çalışıyoruz sorunsuz bir şekilde.
    v4 için biraz daha bekleyeceğim sanırım, taşlar bi yerine otursun. İlginiz için teşekkürler.
     

Sayfayı Paylaş